﻿namespace ShellExtensions.Resources
{
    internal sealed class LocalizedMessages
    {
#if PREVIEW_HANDLER
        public const string PreviewHandlerControlNotInitialized = "Control has not yet been assigned. Methods requiring it cannot be called.";
        public const string PreviewHandlerInterfaceNotImplemented = "{0} must implement one or more of IPreviewFromStream, IPreviewFromShellObject or IPreviewFromFile.";
        public const string PreviewHandlerInvalidAttributes = "PreviewHandler '{0}' must have exactly one PreviewHandler attribute.";
        public const string PreviewHandlerUnsupportedInterfaceCalled = "Unable to call interface {0} because it is not supported on this object.";
        public const string WpfPreviewHandlerNoHandle = "Cannot retrieve handle because proxy window has not been created.";
#endif

        public const string StorageStreamBufferOverflow = "The sum of offset and count must be less than or equal to the size of the buffer.";
        public const string StorageStreamCountLessThanZero = "Count must be greater than or equal to zero.";
        public const string StorageStreamIsReadonly = "The stream was initialized as read-only.";
        public const string StorageStreamOffsetLessThanZero = "Offset must be greater than or equal to zero.";

#if THUMBNAIL
        public const string ThumbnailProviderDisabledProcessIsolation = "{0} does not implement IThumbnailFromStream and so requires DisableProcessIsolation set to true.";
        public const string ThumbnailProviderInterfaceNotImplemented = "{0} must implement one or more of IThumbnailFromStream, IThumbnailFromShellObject or IThumbnailFromFile.";
#endif
    }
}
